[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Math' (#rtl)

# CosH

Return hyperbolic cosine

## Declaration

Source position: math.pp line 365

`function CosH(`
`x: Float`
`):Float;`

## Description

Cosh returns the hyperbolic cosine of it's argument {x}.

## Errors

None.

## See also

arcosh |  | Return inverse hyperbolic cosine
sinh |  | Return hyperbolic sine
arsinh |  | Return inverse hyperbolic sine

## Example

    Program Example8;

    { Program to demonstrate the cosh function. }

    Uses math;

    begin
      Writeln(Cosh(0));
      Writeln(Cosh(1));
    end.